com.tibbo.aggregate.common.filter

## Class SubstringFunctionOperation

- java.lang.Object
- - com.tibbo.aggregate.common.filter.Operation
  - - com.tibbo.aggregate.common.filter.FunctionOperation
    - - com.tibbo.aggregate.common.filter.ColumnFunctionOperation
      - - com.tibbo.aggregate.common.filter.SubstringFunctionOperation

- All Implemented Interfaces:
    Expression
  Direct Known Subclasses:
    BeginWithFunctionOperation, ContainsFunctionOperation, EndsWithFunctionOperation

      public abstract class SubstringFunctionOperation
      extends ColumnFunctionOperation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.tibbo.aggregate.common.filter.FunctionOperation

      `FunctionOperation.FilterFunctions`

  - ### Field Summary

    - ### Fields inherited from class com.tibbo.aggregate.common.filter.FunctionOperation

      `operands`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubstringFunctionOperation(Function func, java.lang.String name, Expression... operands)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `evaluate()`

    - ### Methods inherited from class com.tibbo.aggregate.common.filter.ColumnFunctionOperation

      `getColumn`

    - ### Methods inherited from class com.tibbo.aggregate.common.filter.FunctionOperation

      `getChildren, getDescription, getOperandCount, getPriority`

    - ### Methods inherited from class com.tibbo.aggregate.common.filter.Operation

      `getName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubstringFunctionOperation

          public SubstringFunctionOperation(Function func,
                                            java.lang.String name,
                                            Expression... operands)

  - ### Method Detail

    - #### evaluate

          public final java.lang.Object evaluate()